package com.kingdee.eas.custom.dormitorysystem.occupants;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OccupantsFactory
{
    private OccupantsFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("8C2E4A3F") ,com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("8C2E4A3F") ,com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("8C2E4A3F"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("8C2E4A3F"));
    }
}